Contents
Index 🔎︎

# AND Operator

Logicky násobí dva výrazy.

## Syntax:

    Výsledok = Výraz1 And Výraz2

## Paremetre:

Výsledok: Číselná premenná, do ktorej sa uloží výsledok kombinovania.

Výraz1, Výraz2: Výrazy, ktoré chceš kombinovať.

Logické výrazy kombinované pomocou AND vrátia hodnotu True, iba ak sú obidva výrazy vyhodnotené ako True.

True AND True returns True; for all other combinations the result is False.

Operátor AND tiež vykonáva porovnávanie po bitoch identicky umiestnených bitov dvoch číselných výrazov.

## Príklad:

    Sub ExampleAnd
    Dim A As Variant, B As Variant, C As Variant, D As Variant
    Dim vVarOut As Variant
        A = 10: B = 8: C = 6: D = Null
        vVarOut = A > B And B > C REM vracia -1
        vVarOut = B > A And B > C REM vracia 0
        vVarOut = A > B And B > D REM vracia 0
        vVarOut = (B > D And B > A) REM vracia 0
        vVarOut = B And A REM vracia 8 kvôli bitovej AND kombinácií oboch argumentov
    End Sub